API SpecificationBuckets
List bucket types
Lists all available bucket types including built-in types and integration-defined types.
Authorization
OAuth2 upl:bucket:readAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:bucket:read
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketsService/ListBucketTypes" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"builtIn": [
{
"type": "BUCKET_TYPE_UNSPECIFIED",
"displayName": "string",
"description": "string"
}
],
"integration": [
{
"id": "string",
"integrationId": "string",
"slug": "string",
"displayName": "string",
"description": "string",
"iconUrl": "string",
"renderer": {
"enabled": true,
"archiveUploadId": "0f00a816-1fc2-4597-bbce-ea7af713750b",
"entryPath": "string"
},
"thumbnailParser": {
"enabled": true,
"poolId": "d038cb61-929c-440e-b3d3-abb22c5538f5"
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
}
]
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}